Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class ComponentUsageImpl

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.client.remote.ComponentUsageImpl`

All Implemented Interfaces:
  ClientComponentObject, ComponentObject, Properties

public class ComponentUsageImpl
extends PropertiesHelper
implements ClientComponentObject, ComponentObject

Generic component Usage impl

Version:
  INTERNAL

Field Summary
`protected ApplicationModuleImpl` | `mAM`
`protected java.lang.String` | `mDefFullName`
`protected java.lang.String` | `mDefName`
`protected java.lang.String` | `mFullName`
`protected int` | `mId`
`protected boolean` | `mIsReadOnly`
`protected java.lang.String` | `mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Constructor Summary
`protected` | `ComponentUsageImpl()`

Method Summary
`protected void` | `finalize()`
`ApplicationModule` | `getApplicationModule()`
`ComponentObject` | `getComponentObject()`
`java.lang.String` | `getDefFullName()` Retrieves the fully-qualified name of the component's definition.
`java.lang.String` | `getDefName()` Retrieves the name of the component's definition.
`java.lang.String` | `getFullName()` Retrieves the fully-qualified name of this component.
`java.lang.String` | `getName()` Retrieves the name of this component.
`java.lang.Object` | `getParent()`
`protected byte[]` | `getPiggyback()`
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`int` | `getRemoteId()`
`byte` | `getROTEntryType()`
`protected void` | `init(ApplicationModuleImpl appModule, int compId, java.lang.String name, java.lang.String fullName, java.lang.String defName, java.lang.String defFullName)`
`boolean` | `isReadOnly()`
`protected void` | `processPiggyback(byte[] pb)`
`void` | `refresh()`
`void` | `remove()` Deletes this component.

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.Properties
`getProperty, refreshProperty`

Field Detail

### mName

    protected java.lang.String mName

### mFullName

    protected java.lang.String mFullName

### mDefName

    protected java.lang.String mDefName

### mDefFullName

    protected java.lang.String mDefFullName

### mId

    protected int mId

### mAM

    protected ApplicationModuleImpl mAM

### mIsReadOnly

    protected boolean mIsReadOnly

Constructor Detail

### ComponentUsageImpl

    protected ComponentUsageImpl()

Method Detail

### init

    protected void init(ApplicationModuleImpl appModule,
                        int compId,
                        java.lang.String name,
                        java.lang.String fullName,
                        java.lang.String defName,
                        java.lang.String defFullName)

### getName

    public java.lang.String getName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of this component.
  Specified by:
    `getName` in interface `ClientComponentObject`

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of this component.
  Specified by:
    `getFullName` in interface `ClientComponentObject`

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of the component's definition.
  Specified by:
    `getDefName` in interface `ComponentObject`
  Returns:
    a class name.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of the component's definition.
  Specified by:
    `getDefFullName` in interface `ComponentObject`
  Returns:
    a class name.

### remove

    public void remove()

  Description copied from interface: `ComponentObject`
  Deletes this component.
  Specified by:
    `remove` in interface `ComponentObject`

### getProperties

    public java.util.Hashtable getProperties()

  Description copied from interface: `Properties`
  Gets the table of properties.
  Specified by:
    `getProperties` in interface `Properties`
  Specified by:
    `getProperties` in class `PropertiesHelper`

### getRemoteId

    public int getRemoteId()

  Specified by:
    `getRemoteId` in interface `ClientComponentObject`

### getROTEntryType

    public byte getROTEntryType()

  Specified by:
    `getROTEntryType` in interface `ClientComponentObject`

### getComponentObject

    public ComponentObject getComponentObject()

### getParent

    public java.lang.Object getParent()

  Specified by:
    `getParent` in interface `ClientComponentObject`

### getApplicationModule

    public ApplicationModule getApplicationModule()

### isReadOnly

    public boolean isReadOnly()

### getPiggyback

    protected byte[] getPiggyback()

### processPiggyback

    protected void processPiggyback(byte[] pb)

### finalize

    protected void finalize()

### refresh

    public void refresh()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.